Export (0) Print
Expand All

Hardware and Software Requirements for Edge Components

 

Topic Last Modified: 2012-10-16

The hardware and software requirements for edge components include those for the Microsoft Lync Server 2010 communications software components, including Edge Servers and Directors, as well as those for other components, including reverse proxy servers, firewalls, and load balancers to be deployed the perimeter network to support external user access. For details about the components required to support external user access and supported topologies, see Components Required for External User Access.

The operating system requirements for Edge Servers are the same as for the other Lync Server 2010 roles: the 64-bit edition of the Windows Server 2008 SP2 or Windows Server 2008 R2. In addition, the operating system must be configured for the Application Server role and be running the .NET Framework 3.5 Service Pack 1 (SP1). Directors are internal components and installed as part of the internal network prior to deployment of Edge Servers. For hardware and software requirements for Directors, see Technical Requirements for Director.

The following table shows the hardware requirements for Edge Servers.

Hardware System Requirements for Edge Servers

Hardware component Minimum requirement

CPU

One of the following:

  • 64-bit dual processor, quad-core, 2.0 GHz or higher

  • 64-bit 4-way processor, dual-core, 2.0 GHz or higher

Memory

12 GB recommended

Disk

Local storage with at least 30 GB free disk space

Network

Two interfaces required, either one 2-port 1 Gbps NIC or two 1-port 1 Gbps NICs.

Lync Server 2010 is available only in a 64-bit edition, so each Edge Server and Director requires one of the following operating systems.

  • The 64-bit edition of Windows Server 2008 Enterprise Edition with SP2 operating system, or the 64-bit edition of Windows Server 2008 Standard Edition with SP2 operating system.

  • The 64-bit edition of Windows Server 2008 R2 Enterprise operating system, or the 64-bit edition of Windows Server 2008 R2 Standard operating system.

Lync Server 2010 also requires installation of the following programs and updates:

  • Microsoft .NET Framework 3.5 SP1

  • Windows PowerShell command-line interface version 2.0

  • Windows Server 2008 R2 update available from Microsoft Knowledge Base article 2028827, "The applications that use the TDI driver for network traffic may stop responding in Windows Server 2008 R2 or in Windows 7," at http://go.microsoft.com/fwlink/p/?LinkId=3052&kbid=2028827.

  • Windows 2008 SP2 update is required to avoid increasing memory usage on Web Conferencing Edge Server. For details, see Microsoft Knowledge Base article 979231,"Memory usage keeps increasing if Schannel authentication is used after the update 968389 is installed in Windows Vista or in Windows Server 2008," at http://go.microsoft.com/fwlink/p/?LinkId=3052&kbid=979231. After you apply this update, the increasing memory usage should go away.

  • Windows Server 2008 update available from Microsoft Knowledge Base article 2029048, "Applications that use the TDI driver for network traffic may stop responding in Windows Server 2008 or in Windows Vista," at http://go.microsoft.com/fwlink/p/?LinkId=3052&kbid=2029048.

Additionally, Lync Server requires the Microsoft Visual C++ 2008C redistributable, but it is automatically installed as part of the Edge Server installation.

 
Was this page helpful?
(1500 characters remaining)
Thank you for your feedback
Show:
© 2014 Microsoft